Bug 1434367 - Interested in an epel7 branch?
Summary: Interested in an epel7 branch?
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-toml
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Julien Enselme
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-21 11:14 UTC by Pierre-YvesChibon
Modified: 2017-04-06 23:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-06 23:48:55 UTC
Type: Bug


Attachments (Terms of Use)

Description Pierre-YvesChibon 2017-03-21 11:14:08 UTC
Hi,

I do not know how much work is maintaining python-toml but I wanted to ask what you think of having an epel7 branch for this package?

If needed, I do not mind helping with the maintenance.

From a quick look at the spec file, it seems the BR on golang might be problematic though, so maybe we will have to disable the tests there.


Thanks

Comment 1 Julien Enselme 2017-03-21 11:52:29 UTC
> I do not know how much work is maintaining python-toml but I wanted to ask what you think of having an epel7 branch for this package?

It doesn't require much work. I'll gladly create the branch and give you commit right to it. Just one question before I do this: have you checked python-pytoml (http://pkgs.fedoraproject.org/cgit/rpms/python-pytoml.git/tree/python-pytoml.spec#n8)? In my opinion its support for toml is way better and much more reliable. So if you don't absolutely need python-toml, I'd choose python-pytoml. I can also create an epel 7 branch for both since they are both low maintenance packages.

> it seems the BR on golang might be problematic though, so maybe we will have to disable the tests there.

The tests are already disabled (http://pkgs.fedoraproject.org/cgit/rpms/python-toml.git/tree/python-toml.spec#n2 and http://pkgs.fedoraproject.org/cgit/rpms/python-toml.git/tree/python-toml.spec#n65) since last time I checked some were not working. I just forgot to wrap the golang in %if 0%{with_test}

Comment 2 Pierre-YvesChibon 2017-03-21 12:30:58 UTC
Let's go with pytoml then, tbh I had just quickly checked pypi and didn't look much further, so pytoml it is :)

Comment 3 Jeremy Cline 2017-03-21 13:29:21 UTC
(In reply to Pierre-YvesChibon from comment #2)
> Let's go with pytoml then, tbh I had just quickly checked pypi and didn't
> look much further, so pytoml it is :)

+1 since what I used in https://github.com/release-monitoring/anitya/pull/450 was pytoml :)

Thanks Julien!

Comment 4 Fedora Update System 2017-03-21 16:33:02 UTC
python-pytoml-0.1.11-4.git01d900f.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7ffea4d515

Comment 5 Julien Enselme 2017-03-21 16:34:21 UTC
Just submitted the package to epel7.

If any of you wish to co-maintain pytoml, create the appropriate requests here: https://admin.fedoraproject.org/pkgdb/package/rpms/python-pytoml/ I'll grant you the permissions.

Comment 6 Jeremy Cline 2017-03-22 14:40:33 UTC
(In reply to Julien Enselme from comment #5)
> Just submitted the package to epel7.
> 
> If any of you wish to co-maintain pytoml, create the appropriate requests
> here: https://admin.fedoraproject.org/pkgdb/package/rpms/python-pytoml/ I'll
> grant you the permissions.

Great, thanks for the speedy response!

Comment 7 Fedora Update System 2017-03-23 01:49:57 UTC
python-pytoml-0.1.11-4.git01d900f.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7ffea4d515

Comment 8 Fedora Update System 2017-04-06 23:48:55 UTC
python-pytoml-0.1.11-4.git01d900f.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.